Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Interface MBeanServerDelegateMBean

All Known Implementing Classes:
  MBeanServerDelegate

    public interface MBeanServerDelegateMBean

Defines the management interface of an object of class MBeanServerDelegate.

Since:
  1.5

Method Summary
`String` | `getImplementationName()` Returns the JMX implementation name (the name of this product).
`String` | `getImplementationVendor()` Returns the JMX implementation vendor (the vendor of this product).
`String` | `getImplementationVersion()` Returns the JMX implementation version (the version of this product).
`String` | `getMBeanServerId()` Returns the MBean server agent identity.
`String` | `getSpecificationName()` Returns the full name of the JMX specification implemented by this product.
`String` | `getSpecificationVendor()` Returns the vendor of the JMX specification implemented by this product.
`String` | `getSpecificationVersion()` Returns the version of the JMX specification implemented by this product.

Method Detail

### getMBeanServerId

    String getMBeanServerId()

  Returns the MBean server agent identity.

  Returns:
    the agent identity.

### getSpecificationName

    String getSpecificationName()

  Returns the full name of the JMX specification implemented by this product.

  Returns:
    the specification name.

### getSpecificationVersion

    String getSpecificationVersion()

  Returns the version of the JMX specification implemented by this product.

  Returns:
    the specification version.

### getSpecificationVendor

    String getSpecificationVendor()

  Returns the vendor of the JMX specification implemented by this product.

  Returns:
    the specification vendor.

### getImplementationName

    String getImplementationName()

  Returns the JMX implementation name (the name of this product).

  Returns:
    the implementation name.

### getImplementationVersion

    String getImplementationVersion()

  Returns the JMX implementation version (the version of this product).

  Returns:
    the implementation version.

### getImplementationVendor

    String getImplementationVendor()

  Returns the JMX implementation vendor (the vendor of this product).

  Returns:
    the implementation vendor.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.